---
title: ReportingObserver.observe()
slug: Web/API/ReportingObserver/observe
tags:
  - API
  - Experimental
  - Method
  - Reference
  - Reporting API
  - ReportingObserver
  - observe
---
<div>{{APIRef("Reporting API")}}{{seecompattable}}</div>

<p>The <strong><code>observe()</code></strong> method of the {{domxref("ReportingObserver")}} interface instructs a reporting observer to start collecting reports in its report queue.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>reportingObserverInstance</em>.observe()
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">let options = {
  types: ['deprecation'],
  buffered: true
}

let observer = new ReportingObserver(function(reports, observer) {
  reportBtn.onclick = () =&gt; displayReports(reports);
}, options);

observer.observe()
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Reporting API','#dom-reportingobserver-observe','ReportingObserver.observe()')}}</td>
   <td>{{Spec2('Reporting API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.ReportingObserver.observe")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Reporting_API">Reporting API</a></li>
</ul>
